Std Group/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(3 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav
|[[Std Part|Part]]
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[PartDesign Body|Create body]]
|[[Std_Base|Std Base]]
|[[PartDesign_Workbench|PartDesign]]
|IconL=Std_Part.png
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Workbench_PartDesign.svg
|IconC=Freecad.svg
|IconR=PartDesign Body.png
}}
}}


Line 133: Line 133:
== Linkler ==
== Linkler ==


<div class="mw-translate-fuzzy">
* [[Arch tutorial#Organizing your model/tr|Use case in Arch Tutorial]]
* [[Arch tutorial#Organizing your model/tr|Use case in Arch Tutorial]]
* [[Document_structure/tr|Belge Yapısı]]
* [[Document_structure/tr|Belge Yapısı]]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Modelinizi düzenleyin]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Modelinizi düzenleyin]
* [[Ways_To_Organize_Objects/tr|Belge içerisindeki nesneyi düzenleme]]
* [[Ways_To_Organize_Objects/tr|Belge içerisindeki nesneyi düzenleme]]
</div>



{{Docnav
{{Docnav
|[[Std Part|Part]]
|[[Std_Part|Part]]
|[[Std_LinkMake|LinkMake]]
|[[PartDesign Body|Create body]]
|[[Std_Base|Std Base]]
|[[PartDesign_Workbench|PartDesign]]
|IconL=Std_Part.png
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Workbench_PartDesign.svg
|IconC=Freecad.svg
|IconR=PartDesign Body.png
}}
}}




{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 18:17, 30 December 2020

Grup Oluştur

Menü konumu
Ağaç görünüm → Belge üzerine sağ tıkla
Tezgahlar
Hepsi
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Taslak grup seçme, Taslak gruba ekle

Tanım

Bu komut, ağaç görünümünde bir grup oluşturmanıza olanak sağlar.
Modelinizin yapısını düzenlemek için kullanılabilir.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Various elements inside Std Groups in the tree view.

Kullanım

Ağaç görünümünde FreeCAD belgenizin adına sağ tıklayın ve "grup" seçeneğini seçin.
Bir grup otomatik olarak oluşturulacak ve bir dizin simgesi ve otomatik olarak seçilen bir isim verilecektir.
Grubu sağ tıklayıp "yeniden adlandır" ı seçerek veya klavyenizdeki "F2" yi kullanarak grubu yeniden adlandırabilirsiniz.
FreeCAD nesnelerini grubun içine itin veya istediğiniz nesneyi tıklatarak gruptan çıkarın,
farenin sol düğmesini basılı tutun ve nesneyi istediğiniz yeni konuma sürüklemek için sürükle ve bırak stilini kullanın.
İmlecin altına bir "köşegen çizgisi olan bir daire" olduğu sürece, nesnenizi buraya bırakamazsınız.
İşaret bir "artı" sembolüne döndüğü anda nesneyi buraya bırakmak mümkündür.

Notes

  • The Group object does not affect the positions in the 3D view of the elements that it contains; it is essentially just a folder that is used to keep the tree view organized.
  • The Group can also be created from the Python console, and sub-classed to create special "groups", as indicated in the Scripting section.

Özellikler

A Std Group is internally called App DocumentObjectGroup (App::DocumentObjectGroup class), and is derived from the basic App DocumentObject (App::DocumentObject class), therefore it shares all the latter's properties.

In addition to the properties described in App FeaturePython, which is the most basic instance of an App DocumentObject, the App DocumentObjectGroup has the VeriGroup property.

These are the properties available in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • VeriLabel: Grubun ismi

Hidden properties Data

  • VeriProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

View

Base

See App FeaturePython for the basic view properties.

Hidden properties View

  • GörünümProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class), and is augmented with a Group extension.

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple container which uses the Group extension to be able to hold any type of object.

Betik

Aşağıdaki komut aktif belgeye yeni grup ekler:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods of this Group.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Linkler